Bug 96555 - [UPDATE] net-mgmt/nsca from 2.4 to 2.6
Summary: [UPDATE] net-mgmt/nsca from 2.4 to 2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-30 17:00 UTC by Martin Matuska
Modified: 2006-09-14 13:50 UTC (History)
0 users

See Also:


Attachments
file.shar (849 bytes, text/plain)
2006-04-30 17:00 UTC, Martin Matuska
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska 2006-04-30 17:00:33 UTC
Supersedes ports/95822
Update of net-mgmt/nsca from 2.4 to 2.6
Change into a master port
CLIENT PORT: net-mgmt/nsca-client
Install into ${PREFIX}/sbin instead of nagios plugin dir
RCNG startup script
Corrected pkg-descr

Fix: 

--- shar ends here -----J7aMqJGdRDcSTCWVagngLtnBM0ybRrc6MevCmVH6Gh7sJVWP
Content-Type: text/plain; name="diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="diff"


diff -Nbur nsca.orig/Makefile nsca/Makefile
--- nsca.orig/Makefile	Sat Apr 15 18:55:12 2006
+++ nsca/Makefile	Sun Apr 30 17:49:17 2006
@@ -6,35 +6,44 @@
 #
 
 PORTNAME=	nsca
-PORTVERSION=	2.4
+PORTVERSION=	2.6
 CATEGORIES=	net-mgmt
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	nagios
 
 MAINTAINER=	paul@nerdlabs.com
-COMMENT=	Nagios Service Check Acceptor
+.if !defined(CLIENT_ONLY)
+COMMENT=	Nagios Service Check Acceptor (server)
+.else
+COMMENT=	 Nagios Service Check Acceptor (client)
+.endif
 
+.if !defined(CLIENT_ONLY)
 RUN_DEPENDS=	nagios:${PORTSDIR}/net-mgmt/nagios
+.endif
 LIB_DEPENDS=	mcrypt.8:${PORTSDIR}/security/libmcrypt
 
 GNU_CONFIGURE=	yes
 USE_PERL5=	yes
 CONFIGURE_ARGS=	--prefix=${PREFIX} --localstatedir=/var/spool/nagios
 
-NAGIOS_DIR=	${LOCALBASE}/libexec/nagios
-CONF_DIR=	${LOCALBASE}/etc/nagios
+.if !defined(CLIENT_ONLY)
+USE_RC_SUBR=	nsca.sh
+.endif
 
 DOCS=		Changelog LEGAL README SECURITY
 
-# NOTE: this port installs into ${LOCALBASE} instead of ${PREFIX}
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/nsca ${NAGIOS_DIR}
-	${INSTALL_PROGRAM} ${WRKSRC}/src/send_nsca ${NAGIOS_DIR}
-	${INSTALL_DATA} ${WRKSRC}/nsca.cfg ${CONF_DIR}/nsca.cfg.sample
-	${INSTALL_DATA} ${WRKSRC}/send_nsca.cfg ${CONF_DIR}/send_nsca.cfg.sample
+.if defined(CLIENT_ONLY)
+	${INSTALL_PROGRAM} ${WRKSRC}/src/send_nsca ${PREFIX}/sbin/send_nsca
+	${INSTALL_DATA} ${WRKSRC}/sample-config/send_nsca.cfg ${PREFIX}/etc/send_nsca.cfg-sample
+.else
+	${INSTALL_PROGRAM} ${WRKSRC}/src/nsca ${PREFIX}/sbin/nsca
+	${INSTALL_DATA} ${WRKSRC}/sample-config/nsca.cfg ${PREFIX}/etc/nsca.cfg-sample
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}
+.endif
 .endif
 
 .include <bsd.port.mk>
diff -Nbur nsca.orig/distinfo nsca/distinfo
--- nsca.orig/distinfo	Sat Apr 15 18:55:12 2006
+++ nsca/distinfo	Sat Apr 15 19:27:02 2006
@@ -1,3 +1,3 @@
-MD5 (nsca-2.4.tar.gz) = ab58553a87940f574ec54189a43a70bc
-SHA256 (nsca-2.4.tar.gz) = bba0d2c3582086c8d77ef2c7921b571d1a657eedee3bed8af4f59b3fdb3f8866
-SIZE (nsca-2.4.tar.gz) = 54788
+MD5 (nsca-2.6.tar.gz) = d526a3ac3c29648c729c5fb4fb332488
+SHA256 (nsca-2.6.tar.gz) = 6b12781537e5301bf2c902e9fa9961cb95f624856f3d89d72416d3cca734e05a
+SIZE (nsca-2.6.tar.gz) = 101341
diff -Nbur nsca.orig/files/nsca.sh.in nsca/files/nsca.sh.in
--- nsca.orig/files/nsca.sh.in	Thu Jan  1 01:00:00 1970
+++ nsca/files/nsca.sh.in	Sat Apr 15 19:18:08 2006
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: nsca
+# REQUIRE: NETWORKING
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf to enable nrpe2:
+#
+#nsca_enable="YES"
+#
+#
+
+. %%RC_SUBR%%
+
+name=nsca
+rcvar=`set_rcvar`
+
+command="%%PREFIX%%/sbin/nsca"
+required_files=%%PREFIX%%/etc/nsca.cfg
+command_args="-c ${required_files}"
+pidfile=/var/run/${name}.pid
+
+# set defaults
+
+nsca_enable=${nsca_enable:-"NO"}
+nsca_flags=${nsca_flags:-""}
+
+load_rc_config ${name}
+run_rc_command "$1"
diff -Nbur nsca.orig/pkg-descr nsca/pkg-descr
--- nsca.orig/pkg-descr	Sat Apr 15 18:55:12 2006
+++ nsca/pkg-descr	Sun Apr 30 17:39:03 2006
@@ -1,7 +1,7 @@
 The Nagios Service Check Acceptor (NSCA) is used to send service check
 results to a central Nagios server. This consists of the "nsca" daemon
 which runs on the main Nagios server and accepts results and the 
-"check_nsca" plugin which is used to send results to the server.
+"send_nsca" client which is used to send results to the server.
 
 Author:	Ethan Galstad
 WWW:	http://www.nagios.org/
diff -Nbur nsca.orig/pkg-plist nsca/pkg-plist
--- nsca.orig/pkg-plist	Sat Apr 15 18:55:12 2006
+++ nsca/pkg-plist	Sun Apr 30 17:42:53 2006
@@ -4,9 +4,5 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/SECURITY
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@comment This port installs into LOCALBASE as opposed to PREFIX
-@cwd %%LOCALBASE%%
-etc/nagios/nsca.cfg.sample
-etc/nagios/send_nsca.cfg.sample
-libexec/nagios/nsca
-libexec/nagios/send_nsca
+etc/nsca.cfg-sample
+sbin/nsca
diff -Nbur nsca.orig/pkg-plist.client nsca/pkg-plist.client
--- nsca.orig/pkg-plist.client	Thu Jan  1 01:00:00 1970
+++ nsca/pkg-plist.client	Sun Apr 30 17:42:59 2006
@@ -0,0 +1,3 @@
+@comment $FreeBSD$
+etc/send_nsca.cfg-sample
+sbin/send_nsca
Comment 1 Edwin Groothuis freebsd_committer 2006-04-30 17:04:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Paul Dlug 2006-04-30 17:37:29 UTC
On Apr 30, 2006, at 12:04 PM, Edwin Groothuis wrote:

> Maintainer of net-mgmt/nsca,
>
> Please note that PR ports/96555 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

Yes I approve this patch, it may be committed,thanks.
Comment 3 Martin Matuska 2006-04-30 23:15:50 UTC
Correctures for nsca.sh.in

command_args="--daemon"
nsca_flags=${nsca_flags:-"-c ${required_files}"}

This makes config file changeable from rc.conf +
daemon does not listen properly without "--daemon"
Comment 4 Sam Lawrance freebsd_committer 2006-05-15 09:51:34 UTC
State Changed
From-To: feedback->open

Maintainer approved. 


Comment 5 Sam Lawrance freebsd_committer 2006-05-15 09:51:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take.
Comment 6 Sam Lawrance freebsd_committer 2006-05-15 12:03:05 UTC
State Changed
From-To: open->feedback

Any chance you are interested in reworking this a little 
to provide a knob each for server and client? 

eg. WITHOUT_SERVER and WITHOUT_CLIENT?
Comment 7 Sam Lawrance freebsd_committer 2006-07-09 07:43:10 UTC
State Changed
From-To: feedback->open

Feedback timeout.
Comment 8 dfilter service freebsd_committer 2006-09-14 13:27:54 UTC
lawrance    2006-09-14 12:27:47 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nsca        Makefile distinfo pkg-descr pkg-plist 
  Added files:
    net-mgmt/nsca/files  nsca.sh.in 
  Log:
  Update to 2.6 [1] and add an rc script [2].
  
  PR:             ports/96555 [1], ports/94259 [2].
  Submitted by:   Martin Matuska <martin@matuska.org> [1],
                  Jo Rhett <jrhett@svcolo.com> [2]
  
  Revision  Changes    Path
  1.7       +23 -8     ports/net-mgmt/nsca/Makefile
  1.4       +3 -3      ports/net-mgmt/nsca/distinfo
  1.1       +29 -0     ports/net-mgmt/nsca/files/nsca.sh.in (new)
  1.2       +1 -1      ports/net-mgmt/nsca/pkg-descr
  1.2       +5 -7      ports/net-mgmt/nsca/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2006-09-14 13:40:47 UTC
lawrance    2006-09-14 12:40:39 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Added files:
    net-mgmt/nsca-client Makefile 
  Log:
  Add nsca-client, a slave port for nsca without the server bits.
  
  PR:             ports/96555
  Submitted by:   Martin Matuska <martin at matuska.org>
  
  Revision  Changes    Path
  1.85      +1 -0      ports/net-mgmt/Makefile
  1.1       +15 -0     ports/net-mgmt/nsca-client/Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Sam Lawrance freebsd_committer 2006-09-14 13:41:18 UTC
State Changed
From-To: open->closed

Port updated with minor changes, and slave port added.  Thanks!